package de.dass_it.vanhelsing.gui.items;
public class SDStorageItem extends ItemType implements UserObjectItem{
	private String name;
	private String workingDirectory;
	private String pidDirectory;
	private String heartbeatInterval;
	private String clientConnectWait;
	private String maximumConcurrentJobs;
	private String sdAddresses;
	private String sdPort;
	private String sdAddress;

	public SDStorageItem() {}
	public SDStorageItem(String name, String workingDirectory, String pidDirectory) {
		setName(name);
		setWorkingDirectory(workingDirectory);
		setPidDirectory(pidDirectory);
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getWorkingDirectory() {
		return workingDirectory;
	}
	public void setWorkingDirectory(String workingDirectory) {
		this.workingDirectory = workingDirectory;
	}
	public String getPidDirectory() {
		return pidDirectory;
	}
	public void setPidDirectory(String pidDirectory) {
		this.pidDirectory = pidDirectory;
	}
	public String getHeartbeatInterval() {
		return heartbeatInterval;
	}
	public void setHeartbeatInterval(String heartbeatInterval) {
		this.heartbeatInterval = heartbeatInterval;
	}
	public String getClientConnectWait() {
		return clientConnectWait;
	}
	public void setClientConnectWait(String clientConnectWait) {
		this.clientConnectWait = clientConnectWait;
	}
	public String getMaximumConcurrentJobs() {
		return maximumConcurrentJobs;
	}
	public void setMaximumConcurrentJobs(String maximumConcurrentJobs) {
		this.maximumConcurrentJobs = maximumConcurrentJobs;
	}
	public String getSdAddresses() {
		return sdAddresses;
	}
	public void setSdAddresses(String sdAddresses) {
		this.sdAddresses = sdAddresses;
	}
	public String getSdPort() {
		return sdPort;
	}
	public void setSdPort(String sdPort) {
		this.sdPort = sdPort;
	}
	public String getSdAddress() {
		return sdAddress;
	}
	public void setSdAddress(String sdAddress) {
		this.sdAddress = sdAddress;
	}
	
}
